From 3c52050d74d4360395cca8d8917027df022ee8a5 Mon Sep 17 00:00:00 2001
From: Radim Krcmar <rkrcmar@redhat.com>
Date: Tue, 7 Mar 2017 17:32:12 +0100
Subject: x86: bump maximum vcpu count of pc-q35-rhel7.4.0 to 288
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Radim Krcmar <rkrcmar@redhat.com>
Message-id: <20170307173212.5752-1-rkrcmar@redhat.com>
Patchwork-id: 74248
O-Subject: [RHEL7.4 qemu-kvm-rhev PATCH] x86: bump maximum vcpu count of pc-q35-rhel7.4.0 to 288
Bugzilla: 1289151
RH-Acked-by: John Snow <jsnow@redhat.com>
RH-Acked-by: Peter Xu <peterx@redhat.com>
RH-Acked-by: Igor Mammedov <imammedo@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>

RHEL only.  This is inspired by patch 00d0f9fd6602 ("pc: q35: Bump
max_cpus to 288"), which was included in the rebase, but didn't affect
our machine types.

tested: by me, with kernel patches that allow 288 VCPUs

Signed-off-by: Radim Krčmář <rkrcmar@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
(cherry picked from commit 414bc0d056f27c43595249c1981c97be5d96d4c0)
---
 hw/i386/pc_q35.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/hw/i386/pc_q35.c b/hw/i386/pc_q35.c
index a8ab052..b86e24d 100644
--- a/hw/i386/pc_q35.c
+++ b/hw/i386/pc_q35.c
@@ -379,6 +379,7 @@ static void pc_q35_machine_rhel7_options(MachineClass *m)
     m->no_floppy = 1;
     m->has_dynamic_sysbus = true;
     m->alias = "q35";
+    m->max_cpus = 288;
     SET_MACHINE_COMPAT(m, PC_RHEL_COMPAT);
 }
 
@@ -406,6 +407,7 @@ static void pc_q35_machine_rhel730_options(MachineClass *m)
     pc_q35_machine_rhel740_options(m);
     m->alias = NULL;
     m->desc = "RHEL-7.3.0 PC (Q35 + ICH9, 2009)";
+    m->max_cpus = 255;
     SET_MACHINE_COMPAT(m, PC_RHEL7_3_COMPAT);
 }
 
-- 
1.8.3.1

